Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/COMP/orchidee.card	(revision 6163)
@@ -66,5 +66,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/decadal/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/decadal/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/decadal/COMP/orchidee.card	(revision 6163)
@@ -71,5 +71,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/orchidee.card	(revision 6163)
@@ -66,5 +66,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/historical_STRATAER/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/historical_STRATAER/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/historical_STRATAER/COMP/orchidee.card	(revision 6163)
@@ -66,5 +66,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card	(revision 6163)
@@ -71,5 +71,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card	(revision 6163)
@@ -71,5 +71,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card	(revision 6163)
@@ -71,5 +71,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 6163)
@@ -76,5 +76,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/orchidee.card	(revision 6163)
@@ -66,5 +66,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6163)
@@ -64,5 +64,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card	(revision 6163)
@@ -66,5 +66,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card	(revision 6163)
@@ -64,5 +64,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card	(revision 6163)
@@ -69,5 +69,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6163)
@@ -69,5 +69,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 6163)
@@ -71,5 +71,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZORINCA/piClim-control_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZORINCA/piClim-control_CMIP6/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZORINCA/piClim-control_CMIP6/COMP/orchidee.card	(revision 6163)
@@ -71,5 +71,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZORINCA/piClim-control_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZORINCA/piClim-control_TEST/COMP/orchidee.card	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/LMDZORINCA/piClim-control_TEST/COMP/orchidee.card	(revision 6163)
@@ -71,5 +71,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/POST/monitoring01_orchidee.cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/POST/monitoring01_orchidee.cfg	(revision 6157)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/POST/monitoring01_orchidee.cfg	(revision 6163)
@@ -39,6 +39,6 @@
 #  field | files patterns | files additionnal | operations | title | units | calcul of area
 #------------------------------------------------------------------------------------------------------------------------------------------------------
-delta_water_stock | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing" |  "" | "((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] + delstock_routing[d=5,l=2:100000])" | "Change in total water stock (LANDS) " | "kg/day/m2 of land" | "Areas[d=2]*Contfrac[d=2]"
-water_budget_closure | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing rain snowf evap riverflow coastalflow" | "" | "(((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] +  delstock_routing[d=5,l=2:100000])*Areas[d=1]*Contfrac[d=1] -  ((rain[d=6,l=2:100000] + snowf[d=7,l=2:100000] - evap[d=8,l=2:100000])*Areas[d=1]*Contfrac[d=1]  - (riverflow[d=9,l=2:100000] + coastalflow[d=10,l=2:100000])*1000*86400 ))/(4*3.14*6370000*6370000*0.26)" | "Water budget closure (LANDS) " | "kg/day/m2 of land" | "2"
+delta_water_stock | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing_daily" |  "" | "((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] + delstock_routing_daily[d=5,l=2:100000])" | "Change in total water stock (LANDS) " | "kg/day/m2 of land" | "Areas[d=2]*Contfrac[d=2]"
+water_budget_closure | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing_daily rain snowf evap riverflow coastalflow" | "" | "(((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] +  delstock_routing_daily[d=5,l=2:100000])*Areas[d=1]*Contfrac[d=1] -  ((rain[d=6,l=2:100000] + snowf[d=7,l=2:100000] - evap[d=8,l=2:100000])*Areas[d=1]*Contfrac[d=1]  - (riverflow[d=9,l=2:100000] + coastalflow[d=10,l=2:100000])*1000*86400 ))/(4*3.14*6370000*6370000*0.26)" | "Water budget closure (LANDS) " | "kg/day/m2 of land" | "2"
 twbr_lands       | "TWBR"             |  "" | "twbr[d=1,l=2:100000]*86400"       | "Hydrol water buget residu (LANDS)" | "kg/m^2/d" | "Areas[d=1]*Contfrac[d=1]"
 temp_sol_lands   | "temp_sol"         |  "" | "temp_sol[d=1]"                    | "TSOL (LANDS)"                      | "C"        | "Areas[d=1]*Contfrac[d=1]"