Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/lmdz.card	(revision 6163)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/lmdz.card	(revision 6164)
@@ -5,5 +5,5 @@
 # Physics package to use :
 # LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.1_new_t2mq2m
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card	(revision 6163)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card	(revision 6164)
@@ -34,6 +34,5 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
-	(${R_IN}/SRF/reftemp.nc, . ), \
+List=   (${R_IN}/SRF/reftemp.nc, . ), \
 	(${R_IN}/SRF/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
@@ -43,5 +42,10 @@
 List= (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_orchidee.xml, .)
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
-            (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
+            (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc),\
+            (${R_IN}/SRF/SOIL/soils_param.nc, .), \
+            (${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
+            (${R_IN}/SRF/NITROGEN/N_FERTILISATION/CMIP6/UofMD-landState-2-1-h/UofMD-landState-2-1-h_Nfert_1850.nc, nfert.nc) ,\
+            (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CMIP6/historical/Ndep_input4MIPs_surfaceFluxes_CMIP_NCAR-CCMI-2-0_gn_185001-185012-clim.nc, ndep.nc), \
+    	    (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
 
 
@@ -51,7 +55,7 @@
 [ParametersFiles]
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
-    (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
+        (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -61,5 +65,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/stomate.card	(revision 6163)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/stomate.card	(revision 6164)
@@ -3,4 +3,10 @@
 
 [UserChoices]
+
+# Update nitrogen input maps (default 0Y)
+NINPUT_UPDATE =0Y
+
+# Impose the CN ratio of leaves
+STOMATE_IMPOSE_CN =n
 
 # Specify output level for output files
@@ -19,5 +25,5 @@
 
 [InitialStateFiles]
-List=   ()
+List= ()
 
 [BoundaryFiles]
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 6163)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 6164)
@@ -14,8 +14,8 @@
 #----- DEVT TEST PROD
 SpaceName=DEVT
-LongName="IPSLCM6.1.11-LR"
-TagName=IPSLCM6
+LongName="IPSLCM6.1.12_LANDN-LR"
 ModelName=IPSL-CM6A-LR
 Member=r1i1p1f1
+TagName=IPSLCM6
 #D- Choice of experiment in EXPERIMENTS directory
 ExpType=IPSLCM/piControl_CMIP6
@@ -25,6 +25,6 @@
 #-- Experiment dates : Beginning and ending
 #-- "YYYY-MM-DD"
-DateBegin=1850-01-01
-DateEnd=1850-12-31
+DateBegin=1890-01-01
+DateEnd=1890-12-31
 #============================
 ORCA_version=eORCA1.2
@@ -44,9 +44,9 @@
 OverRule=n
 #D- Last day of the experience used as restart for all components
-RestartDate=1849-12-31
+RestartDate=
 #D- Define restart simulation name for all components
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+RestartJobName=
+#D- Path Server Group Login
+RestartPath=
 
 #========================================================================
@@ -57,9 +57,9 @@
 Restart= y
 # Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+RestartDate=1889-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-LR-pi-03
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl
 
 #========================================================================
@@ -70,9 +70,9 @@
 Restart= y
 #-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+RestartDate=1889-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-LR-pi-03
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl
 
 #========================================================================
@@ -83,9 +83,9 @@
 Restart= y
 ##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+RestartDate=1889-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-LR-pi-03
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl
 
 #========================================================================
@@ -95,9 +95,9 @@
 Restart= y
 ##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+RestartDate=1889-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-LR-pi-03
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl
 
 #========================================================================
@@ -109,9 +109,9 @@
 Restart= y
 # Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+RestartDate=1889-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-LR-pi-03
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl
 
 #========================================================================
@@ -123,9 +123,9 @@
 Restart= y
 # Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+RestartDate=2209-12-31
+#D- Define restart simulation name for this component
+RestartJobName=FG1-r7267-CMIP6
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/OL2/PROD/ORCHv3-r7267
 
 #========================================================================
@@ -136,9 +136,9 @@
 Restart= y
 # Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+RestartDate=1889-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-LR-pi-03
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 6163)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 6164)
@@ -34,7 +34,5 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
-        (${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
-	(${R_IN}/SRF/reftemp.nc, . ), \
+List=	(${R_IN}/SRF/reftemp.nc, . ), \
 	(${R_IN}/SRF/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \