Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 6175)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 6175)
@@ -0,0 +1,139 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+#==============================================================
+ORCA_version=ORCA2.4.2
+pis=y
+age=n
+cfc11=n
+cfc12=n
+PisFreq=4
+Offline_Mode=y
+Co2Anthr=n
+AtmCo2=2.8432e+02
+OutputLevel=10
+#==================================================================================================
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+List= ()
+
+ListNonDel= (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/GRIDS/${pisces_UserChoices_ORCA_version}_domain_cfg.nc, domain_cfg.nc), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/DYNA/dyna_grid_T.nc, .), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/DYNA/dyna_grid_U.nc, .), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/DYNA/dyna_grid_V.nc, .), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/DYNA/dyna_grid_W.nc, .), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/TDIC_GLODAPv2.1_annual_r360x180xl31.nc, data_DIC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/TALK_GLODAPv2.1_annual_r360x180xl31.nc , data_ALK_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/O2_WOA2009_monthly_r360x180xl31.nc     , data_OXY_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/PO4_WOA2009_monthly_r360x180xl31.nc    , data_PO4_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Si_WOA2009_monthly_r360x180xl31.nc     , data_SIL_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/NO3_WOA2009_monthly_r360x180xl31.nc    , data_NO3_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/DOC_PISCES_monthly_r360x180xl31.nc     , data_DOC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Fer_PISCES_monthly_r360x180xl31.nc     , data_FER_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_3D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_2D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/${pisces_UserChoices_ORCA_version}_pmarge_etopo.nc                    , pmarge.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/${pisces_UserChoices_ORCA_version}_hydrofe.nc                         , hydrofe.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/${pisces_UserChoices_ORCA_version}_river_1m_global_news2.nc           , river.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/${pisces_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
+            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CFCs_CDIAC.dat                      , CFCs_CDIAC.dat     ), \
+            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CO2_OMIP6_1600_2014.txt             , atcco2.txt         )
+
+
+[ParametersFiles]
+List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ref                , namelist_ref    ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref         , namelist_pisces_ref), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref   ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/domain_def_nemo.xml         , domain_def_nemo.xml ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/axis_def_nemo.xml           , axis_def_nemo.xml   ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/grid_def_nemo.xml           , grid_def_nemo.xml  ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-oce.xml      , field_def_nemo-oce.xml  ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_offline_${exptype}_cfg, namelist_cfg ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_top_cfg      , namelist_top_cfg   ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_pisces_cfg                , namelist_pisces_cfg), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_trc_cfg                   , namelist_trc_cfg   ), \
+        (${SUBMIT_DIR}/PARAM/XML/context_nemo_offline.xml                , context_nemo.xml   ), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                               , iodef.xml               ), \
+        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-top.xml                   , file_def_nemo-top.xml   )
+
+
+[RestartFiles]
+List=   (${config_UserChoices_JobName}_${NEMO_END}_restart_trc.nc,  restart_trc.nc, restart_trc.nc)
+
+[OutputText]
+List=   (ocean.output, namelist_top_ref, namelist_top_cfg, namelist_pisces_ref, namelist_pisces_cfg, tracer.stat)
+
+
+[OutputFiles]
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE ) , \
+        (${config_UserChoices_JobName}_1y_Age.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_Age.nc       , NONE ) , \
+        (${config_UserChoices_JobName}_1y_CFC11.nc         , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_CFC11.nc     , NONE ) , \
+        (${config_UserChoices_JobName}_1y_CFC12.nc         , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_CFC12.nc     , NONE ) , \
+        (${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
+        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
+
+
+[Post_1D_bioscalar]
+Patches = ()
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
+TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_bioscalar]
+Patches = ()
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
+TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_ptrc_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
+ChunckJob3D = 50Y
+Seasonal=ON
+
+[Post_1M_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (TPP)
+ChunckJob3D = 50Y
+Seasonal=ON
+
+[Post_1Y_ptrc_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = OFF
+TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si, POC, GOC, DOC)
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1Y_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (PAR, TPP)
+ChunckJob3D = 50Y
+Seasonal=OFF
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/xios.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/xios.card	(revision 6175)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/xios.card	(revision 6175)
@@ -0,0 +1,26 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=   ()
+
+[BoundaryFiles]
+List=   ()
+ListNonDel= ()
+
+[SmoothFiles]
+List=   ()
+
+[ParametersFiles]
+List=   ()
+
+[RestartFiles]
+List=   (NONE)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   ()
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 6175)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 6175)
@@ -0,0 +1,122 @@
+# $Id$
+# This is config.card file for restart with an NEW libIGCM simulation tree.
+# This is config.card file for NEMO ORCA1_LIM3_PISCES configuration
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#============================
+#-- (<8 chars MAX for JobName)
+JobName=OR2PISv42-CLIM-01
+#----- Short Name of Experiment
+ExperimentName=clim
+#----- DEVT TEST PROD
+SpaceName=DEVT
+LongName="ORCA2_OFF_PISCES NEMO configuration"
+TagName=NEMO
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=ORCA2_OFF_PISCES/clim
+#============================
+#-- leap, noleap, 360d
+CalendarType=noleap
+#-- Begin and end of Job
+#-- "YYYY-MM-DD"
+DateBegin=1850-01-01
+DateEnd=1949-12-31
+#============================
+#-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+#============================
+#-- ResolAtm indicates the atmospheric resolution
+#   This variable is used in the executable name
+ResolOce=ORCA2
+#============================
+# OptMode indicates the optimization mode choosen during compilation
+# This variable is used in the executable name
+OptMode=prod
+##
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+MBG= (pisces, PISCES)
+IOS= (xios, XIOS)
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=nemo
+MBG= (opa_offline_${OptMode}.exe, nemo, 30MPI)
+IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- by default: config.card describes no restart for all components
+#D-             ie start from Levitus or limit files
+#D- If you want to restart all components from the same simulation,
+#D-      put OveRule flag to 'y' and set the next 3 parameters
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=2000-12-31
+#D- Define restart simulation name
+RestartJobName=PISCES
+#D- Path Server Group Login
+RestartPath=${ARCHIVE}/IGCM_OUT/ORCA2_OFF_PISCES/DEVT/ORCA2clim
+
+#========================================================================
+#D-- MBG -
+[MBG]
+WriteFrequency="1M 1Y"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2000-12-31
+# Define restart simulation name
+RestartJobName=OR2LP1
+RestartPath=${ARCHIVE}/IGCM_OUT/ORCA2_LIM2_PISCES
+# Old component name for restart (if empty, use new name)
+OldName=
+#========================================================================
+#D-- Post -
+[Post]
+ParserXIOS=FALSE
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission (use NONE for DRYRUN=3)
+RebuildFrequency=NONE
+#D- Do we pack restart and debug txt files, this flag determines
+#D- frequency of pack submission (use NONE for DRYRUN=3)
+PackFrequency=1Y
+#D- To have only the last period in RESTART/*.tar : save 90% of volume.
+#D- TRUE to be effective (nothing by default)
+LightRestartPack=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission (NONE if you dont want)
+TimeSeriesFrequency=1Y
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average (NONE if you dont want)
+SeasonalFrequency=NONE
+#D- If you want to produce compute PCMDI metrics from seasonal average
+#D- Set FALSE to deactivate the metrics computation.
+MetricsPCMDI=FALSE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulations years
+SeasonalFrequencyOffset=0
+
+#========================================================================
+#D-- IOS -
+[IOS]
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1899-12-31
+# Define restart simulation name for this component
+RestartJobName=EXP00
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/piControl
+# Old component name for restart (if empty, use new name)
+OldName=
+#========================================================================
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg	(revision 6143)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg	(revision 6175)
@@ -47,5 +47,29 @@
 /
 !-----------------------------------------------------------------------
+&namtile        !   parameters of the tiling
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namtsd        !    Temperature & Salinity Data  (init/dmp)             (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namwad        !   Wetting and Drying (WaD)                             (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namcrs        !   coarsened grid (for outputs and/or TOP)              (ln_crs =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
 /
@@ -79,13 +103,27 @@
 /
 !-----------------------------------------------------------------------
+&namsbc_flx    !   surface boundary condition : flux formulation        (ln_flx =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namsbc_blk    !   namsbc_blk  generic Bulk formula                     (ln_blk =T)
 !-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
+&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_sas    !   Stand-Alone Surface module: ocean data               (SAS_SRC  only)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_iif    !   Ice-IF : use observed ice cover                      (nn_ice = 1)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namtra_qsr    !   penetrative solar radiation                          (ln_traqsr =T)
 !-----------------------------------------------------------------------
-   !                       ! type of penetration                        (default: NO selection)
-   ln_qsr_rgb  = .true.       !  RGB light penetration (Red-Green-Blue)
-   !
+   ln_qsr_rgb  = .true.      !  RGB light penetration (Red-Green-Blue)
 /
 !-----------------------------------------------------------------------
@@ -96,4 +134,16 @@
 &namsbc_rnf    !   runoffs                                              (ln_rnf =T)
 !-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_apr    !   Atmospheric pressure used as ocean forcing           (ln_apr_dyn =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_isf    !  Top boundary layer (ISF)                              (ln_isfcav =T : read (ln_read_cfg=T)
+!-----------------------------------------------------------------------             or set or usr_def_zgr )
+/
+!-----------------------------------------------------------------------
+&namsbc_iscpl  !   land ice / ocean coupling option                     (ln_isfcav =T : read (ln_read_cfg=T)
+!-----------------------------------------------------------------------             or set or usr_def_zgr )
 /
 !-----------------------------------------------------------------------
@@ -125,4 +175,20 @@
 !-----------------------------------------------------------------------
 /
+!-----------------------------------------------------------------------
+&nam_tide      !   tide parameters                                      (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_dta    !  open boundaries - external data                       (see nam_bdy)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_tide   !  tidal forcing at open boundaries                      (default: OFF)
+!-----------------------------------------------------------------------
+/
 !!======================================================================
 !!                ***  Top/Bottom boundary condition  ***             !!
@@ -135,6 +201,16 @@
 !!======================================================================
 !
+!
 !-----------------------------------------------------------------------
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_drg_OFF  = .true.   !  must select one drag coefficient to true even if we don't use it
+/
+!-----------------------------------------------------------------------
+&namdrg_top    !   TOP friction                                         (ln_drg_OFF =F & ln_isfcav=T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdrg_bot    !   BOTTOM friction                                      (ln_drg_OFF =F)
 !-----------------------------------------------------------------------
 /
@@ -161,5 +237,5 @@
 &nameos        !   ocean Equation Of Seawater                           (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_eos80    = .true.          !  = Use EOS80
+   ln_eos80    = .true.         !  = Use EOS80
 /
 !-----------------------------------------------------------------------
@@ -170,11 +246,62 @@
 &namtra_ldf    !   lateral diffusion scheme for tracers                 (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_traldf_lap   = .true.    !    laplacian operator
-   ln_traldf_iso   = .true.    !  iso-neutral (Standard operator)
+   !                       !  Operator type:
+   ln_traldf_lap   = .true.   !    laplacian operator
+   !
+   !                       !  Direction of action:
+   ln_traldf_iso   = .true.   !  iso-neutral (standard operator)
+   !
    !                       !  Coefficients:
-   nn_aht_ijk_t    = 20        !  space/time variation of eddy coef
-      !                             !   = 20     aht = 1/2  Ud. max(e1,e2)
-      rn_Ud        = 0.018          !  lateral diffusive velocity [m/s] (nn_aht_ijk_t= 0, 10, 20, 30)
+   nn_aht_ijk_t    = 20         !  space/time variation of eddy coefficient:
+      !                             !   =-20 (=-30)    read in eddy_diffusivity_2D.nc (..._3D.nc) file
+      !                             !   =  0           constant
+      !                             !   = 10 F(k)      =ldf_c1d
+      !                             !   = 20 F(i,j)    =ldf_c2d
+      !                             !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
+      !                             !   = 30 F(i,j,k)  =ldf_c2d * ldf_c1d
+      !                             !   = 31 F(i,j,k,t)=F(local velocity and grid-spacing)
+      !                        !  time invariant coefficients:  aht0 = 1/2  Ud*Ld   (lap case)
+      !                             !                           or   = 1/12 Ud*Ld^3 (blp case)
+      rn_Ud        = 0.018           !  lateral diffusive velocity [m/s] (nn_aht_ijk_t= 0, 10, 20, 30)
       rn_Ld        = 200.e+3        !  lateral diffusive length   [m]   (nn_aht_ijk_t= 0, 10)
+/
+!-----------------------------------------------------------------------
+&namtra_mle    !   mixed layer eddy parametrisation (Fox-Kemper)        (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_eiv    !   eddy induced velocity param.                         (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_dmp    !   tracer: T & S newtonian damping                      (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_vvl       !   vertical coordinate options                          (default: z-star)
+!-----------------------------------------------------------------------
+/
+                                                                                                                                                                                                    232,1         59%
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_adv    !   formulation of the momentum advection                (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_hpg    !   Hydrostatic pressure gradient option                 (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_spg    !   surface pressure gradient                            (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_ldf    !   lateral diffusion on momentum                        (default: NO selection)
+!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
@@ -183,6 +310,5 @@
    ln_dynrnf       =  .false.    !  runoffs option enabled (T) or not (F)
    ln_dynrnf_depth =  .false.    !  runoffs is spread in vertical (T) or not (F)
-!   fwbcorr        = 3.786e-06   !  annual global mean of empmr for ssh correction
-
+   !
    cn_dir      = './'      !  root directory for the ocean data location
    !___________!_________________________!___________________!___________!_____________!________!___________!__________________!__________!_______________!
@@ -192,5 +318,5 @@
    sn_sal      = 'dyna_grid_T'           ,       120.        , 'vosaline'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
    sn_mld      = 'dyna_grid_T'           ,       120.        , 'somixhgt'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
-   sn_emp      = 'dyna_grid_T'           ,       120.        , 'sowaflup'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_emp      = 'dyna_grid_T'           ,       120.        , 'sowaflcd'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
    sn_fmf      = 'dyna_grid_T'           ,       120.        , 'iowaflup'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
    sn_ice      = 'dyna_grid_T'           ,       120.        , 'soicecov'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
@@ -204,48 +330,4 @@
    sn_vbl      = 'dyna_grid_V'           ,       120.        , 'sobblcoy'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
 /
-!-----------------------------------------------------------------------
-&namtra_mle    !   mixed layer eddy parametrisation (Fox-Kemper)        (default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtra_eiv    !   eddy induced velocity param.                         (default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtra_dmp    !   tracer: T & S newtonian damping                      (default: OFF)
-!-----------------------------------------------------------------------
-/
-!!======================================================================
-!!                      ***  Dynamics namelists  ***                  !!
-!!                                                                    !!
-!!   nam_vvl       vertical coordinate options                          (default: z-star)
-!!   namdyn_adv    formulation of the momentum advection                (default: NO selection)
-!!   namdyn_vor    advection scheme                                     (default: NO selection)
-!!   namdyn_hpg    hydrostatic pressure gradient                        (default: NO selection)
-!!   namdyn_spg    surface pressure gradient                            (default: NO selection)
-!!   namdyn_ldf    lateral diffusion scheme                             (default: NO selection)
-!!   namdta_dyn    offline TOP: dynamics read in files                  (OFF_SRC only)
-!!======================================================================
-!
-!-----------------------------------------------------------------------
-&namdyn_adv    !   formulation of the momentum advection                (default: NO selection)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO selection)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdyn_hpg    !   Hydrostatic pressure gradient option                 (default: NO selection)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdyn_spg    !   surface pressure gradient                            (default: NO selection)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdyn_ldf    !   lateral diffusion on momentum                        (default: NO selection)
-!-----------------------------------------------------------------------
-/
 !!======================================================================
 !!                     vertical physics namelists                     !!
@@ -259,10 +341,27 @@
 !!======================================================================
 !
+!
 !-----------------------------------------------------------------------
 &namzdf        !   vertical physics manager                             (default: NO selection)
 !-----------------------------------------------------------------------
+   ln_zdfcst   = .true.      !  must select one vertical physics to true even if we don't use it
+/
+!-----------------------------------------------------------------------
+&namzdf_ric    !   richardson number dependent vertical diffusion       (ln_zdfric =T)
+!-----------------------------------------------------------------------
+/
+                                                                                                                                                                                                    297,1         75%
+!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
 &namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  (ln_zdftke =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_gls    !   GLS vertical diffusion                               (ln_zdfgls =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_osm    !   OSM vertical diffusion                               (ln_zdfosm =T)
 !-----------------------------------------------------------------------
 /
@@ -287,4 +386,32 @@
 !!======================================================================
 !
+!-----------------------------------------------------------------------
+&namtrd        !   trend diagnostics                                    (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namhsb        !  Heat and salt budgets                                 (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdiu        !   Cool skin and warm layer models                      (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namflo        !   float parameters                                     (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_diadct    !   transports through some sections                     (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_dia25h    !  25h Mean Output                                       (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
+!-----------------------------------------------------------------------
+/
 !!======================================================================
 !!               ***  Observation & Assimilation  ***                 !!
@@ -293,4 +420,6 @@
 !!   nam_asminc   assimilation increments                               ('key_asminc')
 !!======================================================================
+!
+!-----------------------------------------------------------------------
 &namobs        !  observation usage switch                              (default: OFF)
 !-----------------------------------------------------------------------
@@ -298,10 +427,10 @@
 !-----------------------------------------------------------------------
 &nam_asminc    !   assimilation increments                              ('key_asminc')
-/
-!
+!-----------------------------------------------------------------------
+/
 !!======================================================================
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -309,5 +438,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
@@ -320,6 +449,2 @@
 !-----------------------------------------------------------------------
 /
-!-----------------------------------------------------------------------
-&namptr        !   Poleward Transport Diagnostic                        (default: OFF)
-!-----------------------------------------------------------------------
-/