Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/lmdz.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/lmdz.card	(revision 6186)
@@ -29,7 +29,8 @@
         (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_${year}.nc, climoz.nc)
 
+
 ListNonDel= (${R_IN}/ATM/INPUT_CE0L/Albedo4_deg.nc, Albedo.nc), \
-        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc.20020101, ECDYN.nc), \
-        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc.20020101, ECPHY.nc), \
+        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc, ECDYN.nc), \
+        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc, ECPHY.nc), \
         (${R_IN}/ATM/INPUT_CE0L/Relief4.nc, Relief.nc), \
         (${R_IN}/ATM/INPUT_CE0L/Rugos4_deg.nc, Rugos.nc), \
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/COMP/dynamico.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/COMP/dynamico.card	(revision 6186)
@@ -6,5 +6,5 @@
 RESOL_ATM_Z=79
 nudging=y
-etat0=start_file_interp 
+etat0=database
 
 
@@ -18,8 +18,8 @@
 
 [InitialStateFiles]
-List=   (/ccc/store/cont003/gencmip6/p86caub/IGCM_OUT/ICOLMDZ/DEVT/CE0L/CREATE-AMIP.01/ICO/Output/Restart/CREATE-AMIP.01_2000_start.nc, start.nc)
+List=   ()
 
 [BoundaryFiles]
-List=(/ccc/work/cont003/igcmg/igcmg/ICOLMDZ_LAM_FILES/ERA5_062000.nc, nudging_forcing.nc)
+List=(/ccc/work/cont003/igcmg/igcmg/ICOLMDZ_LAM_FILES/${config_UserChoices_ForcingName}_${config_UserChoices_ForcingDate}.nc, nudging_forcing.nc)
 ListNonDel=() 
 
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/COMP/lmdz.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/COMP/lmdz.card	(revision 6186)
@@ -29,6 +29,6 @@
 
 ListNonDel= (${R_IN}/ATM/INPUT_CE0L/Albedo4_deg.nc, Albedo.nc), \
-        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc.20020101, ECDYN.nc), \
-        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc.20020101, ECPHY.nc), \
+        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc, ECDYN.nc), \
+        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc, ECPHY.nc), \
         (${R_IN}/ATM/INPUT_CE0L/Relief4.nc, Relief.nc), \
         (${R_IN}/ATM/INPUT_CE0L/Rugos4_deg.nc, Rugos.nc), \
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/config.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_ERA5_LAM/config.card	(revision 6186)
@@ -16,4 +16,7 @@
 #D- Choice of experiment in EXPERIEMENTS directory
 ExpType=ICOLMDZ/CREATE_amip_ERA5_LAM
+ForcingName=ERA5
+ForcingDate=062000
+
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/COMP/dynamico.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/COMP/dynamico.card	(revision 6186)
@@ -18,8 +18,8 @@
 
 [InitialStateFiles]
-List=   (/ccc/store/cont003/gencmip6/p86caub/IGCM_OUT/ICOLMDZ/DEVT/CE0L/CREATE-AMIP.01/ICO/Output/Restart/CREATE-AMIP.01_2000_start.nc, start.nc)
+List=   (${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/CE0L/${config_UserChoices_CreateName}/ICO/Output/Restart/${config_UserChoices_CreateName}_${year}_start.nc, start.nc)
 
 [BoundaryFiles]
-List=(/ccc/work/cont003/drf/p86yann/DYNAMICO_LMDZ_NUDGING/RUN_GLOBAL_FORCED/RUN_LAM_NBP40/nudging_forcing.nc, nudging_forcing.nc)
+List=(${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/amip/${config_UserChoices_ForcingName}/ICO/Restart/${config_UserChoices_ForcingName}_${config_UserChoices_ForcingDate}_nudging_forcing.nc, nudging_forcing.nc)
 ListNonDel=() 
 
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/COMP/lmdz.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/COMP/lmdz.card	(revision 6186)
@@ -29,6 +29,6 @@
 
 ListNonDel= (${R_IN}/ATM/INPUT_CE0L/Albedo4_deg.nc, Albedo.nc), \
-        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc.20020101, ECDYN.nc), \
-        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc.20020101, ECPHY.nc), \
+        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc, ECDYN.nc), \
+        (${R_IN}/ATM/INPUT_CE0L/ECDYN4.nc, ECPHY.nc), \
         (${R_IN}/ATM/INPUT_CE0L/Relief4.nc, Relief.nc), \
         (${R_IN}/ATM/INPUT_CE0L/Rugos4_deg.nc, Rugos.nc), \
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/config.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip_LAM/config.card	(revision 6186)
@@ -14,4 +14,8 @@
 SpaceName=DEVT
 ExperimentName=CE0L
+CreateName=CREATE-AMIP.01
+ForcingName=TEST-AMIP.01
+ForcingDate=20000605
+
 #D- Choice of experiment in EXPERIEMENTS directory
 ExpType=ICOLMDZ/CREATE_amip_LAM
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/COMP/dynamico.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/COMP/dynamico.card	(revision 6186)
@@ -16,5 +16,5 @@
 
 [InitialStateFiles]
-List=   (/ccc/store/cont003/gencmip6/p86caub/IGCM_OUT/ICOLMDZ/DEVT/CE0L/CREATE-AMIP.01/ICO/Output/Restart/CREATE-AMIP.01_2000_start.nc, start.nc)
+List=   (${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/CE0L/${config_UserChoices_CreateName}/ICO/Output/Restart/${config_UserChoices_CreateName}_${year}_start.nc, start.nc)
          
 
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/COMP/lmdz.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/COMP/lmdz.card	(revision 6186)
@@ -53,8 +53,8 @@
 [InitialStateFiles]
 # start.nc and startphy.nc are both set in dynamico.card to easier insure coherence of the files
-List=(/ccc/store/cont003/gencmip6/p86caub/IGCM_OUT/ICOLMDZ/DEVT/CE0L/CREATE-AMIP.01/ATM/Output/Restart/CREATE-AMIP.01_2000_startphy.nc, startphy.nc)
+List=   (${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/CE0L/${config_UserChoices_CreateName}/ATM/Output/Restart/${config_UserChoices_CreateName}_${year}_startphy.nc, startphy.nc)
 
 [BoundaryFiles]
-List=   (/ccc/store/cont003/gencmip6/p86caub/IGCM_OUT/ICOLMDZ/DEVT/CE0L/CREATE-AMIP.01/ATM/Output/Boundary/CREATE-AMIP.01_2000_limit.nc,      limit.nc),\
+List=   (${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/CE0L/${config_UserChoices_CreateName}/ATM/Output/Boundary/${config_UserChoices_CreateName}_${year}_limit.nc,      limit.nc),\
         (${R_IN}/ATM/AEROSOLS/CMIP6/v1/144x142/L${RESOL_ATM_Z}/aerosols${year}_from_inca.nc,              aerosols${year}.nc),\
         (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/nbp${RESOL_NBP}/climoz_LMDZ_${year}.nc, climoz_LMDZ.nc),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/config.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip/config.card	(revision 6186)
@@ -16,4 +16,5 @@
 ExperimentName=amip
 SpaceName=DEVT
+CreateName=CREATE-AMIP.01
 #============================
 #D-- leap, noleap, 360d
@@ -71,5 +72,5 @@
 #D-- NO Post -
 [Post]
-PackFrequency=5D
+PackFrequency=NONE
 TimeSeriesFrequency=NONE
 SeasonalFrequency=NONE
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/COMP/dynamico.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/COMP/dynamico.card	(revision 6186)
@@ -16,8 +16,8 @@
 
 [InitialStateFiles]
-List=   (/ccc/store/cont003/gencmip6/p86caub/IGCM_OUT/ICOLMDZ/DEVT/CE0L/CREATE-amip-ERA5-LAM.01/ICO/Output/Restart/CREATE-amip-ERA5-LAM.01_2000_start.nc, start.nc)
+List=   (${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/CE0L/${config_UserChoices_CreateName}/ICO/Output/Restart/${config_UserChoices_CreateName}_${year}_start.nc, start.nc)
 
 [BoundaryFiles]
-List=(/ccc/work/cont003/igcmg/igcmg/ICOLMDZ_LAM_FILES/ERA5_062000.nc, nudging_forcing.nc)
+List=(/ccc/work/cont003/igcmg/igcmg/ICOLMDZ_LAM_FILES/${config_UserChoices_ForcingName}_${config_UserChoices_ForcingDate}.nc, nudging_forcing.nc)
 ListNonDel= ()
 
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/COMP/lmdz.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/COMP/lmdz.card	(revision 6186)
@@ -53,5 +53,5 @@
 [InitialStateFiles]
 # start.nc and startphy.nc are both set in dynamico.card to easier insure coherence of the files
-List=(/ccc/store/cont003/gencmip6/p86caub/IGCM_OUT/ICOLMDZ/DEVT/CE0L/CREATE-amip-ERA5-LAM.01/ATM/Output/Restart/CREATE-amip-ERA5-LAM.01_${year}_startphy.nc, startphy.nc)
+List=(${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/CE0L/${config_UserChoices_CreateName}/ATM/Output/Restart/${config_UserChoices_CreateName}_${year}_startphy.nc, startphy.nc)
 
 [BoundaryFiles]
@@ -59,5 +59,5 @@
 # With CMIP6 aerosols version 1
 # With 3D ozone
-List= (/ccc/store/cont003/gencmip6/p86caub/IGCM_OUT/ICOLMDZ/DEVT/CE0L/CREATE-amip-ERA5-LAM.01/ATM/Output/Boundary/CREATE-amip-ERA5-LAM.01_${year}_limit.nc, limit.nc),\
+List= (${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/CE0L/${config_UserChoices_CreateName}/ATM/Output/Boundary/${config_UserChoices_CreateName}_${year}_limit.nc, limit.nc),\
             (${R_IN}/ATM/AEROSOLS/CMIP6/v1/144x142/L${RESOL_ATM_Z}/aerosols1850_from_inca.nc,   aerosols.nat.nc),\
             (${R_IN}/ATM/AEROSOLS/CMIP6/v1/144x142/L${RESOL_ATM_Z}/aerosols${year}_from_inca.nc,   aerosols${year}.nc),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/config.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_ERA5_LAM/config.card	(revision 6186)
@@ -16,4 +16,8 @@
 ExperimentName=amip_LAM
 SpaceName=DEVT
+CreateName=CREATE-amip-ERA5-LAM.01
+ForcingName=ERA5
+ForcingDate=062000
+
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_LAM/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_LAM/config.card	(revision 6183)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/EXPERIMENTS/ICOLMDZ/amip_LAM/config.card	(revision 6186)
@@ -16,4 +16,8 @@
 ExperimentName=amip_LAM
 SpaceName=DEVT
+CreateName=CREATE-amip-LAM.01
+ForcingName=TEST-AMIP.01
+ForcingDate=20000605
+
 #============================
 #D-- leap, noleap, 360d
@@ -71,5 +75,5 @@
 #D-- NO Post -
 [Post]
-PackFrequency=5D
+PackFrequency=NONE
 TimeSeriesFrequency=NONE
 SeasonalFrequency=NONE
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/SOURCES/DYNAMICO/arch/arch-X64_JEANZAY.fcm
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/SOURCES/DYNAMICO/arch/arch-X64_JEANZAY.fcm	(revision 6186)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/SOURCES/DYNAMICO/arch/arch-X64_JEANZAY.fcm	(revision 6186)
@@ -0,0 +1,16 @@
+%COMPILER            mpiifort
+%LINK                mpiifort
+%FPP                 mpiifort -E
+%AR                  ar
+%MAKE                gmake
+%FPP_FLAGS           -P
+%FPP_DEF             KEY_NONE CPP_NETCDF4
+%BASE_FFLAGS         -i4 -r8 -auto -align all -fp-model strict
+%PROD_FFLAGS         -g -traceback -O3 -xHost -qopt-zmm-usage=high
+%DEV_FFLAGS          -g -O1 -traceback
+%DEBUG_FFLAGS        -g -traceback -check bounds 
+%MPI_FFLAGS
+%OMP_FFLAGS          -qopenmp
+%BASE_LD             -i4 -r8 -auto -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lstdc++
+%MPI_LD
+%OMP_LD              -qopenmp