Index: CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_IRENE-AMD.env	(revision 6206)
+++ CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_IRENE-AMD.env	(revision 6206)
@@ -0,0 +1,15 @@
+# Compile and running environnemnet at Irene Amd / TGCC 
+
+# Allow error messages related to purge
+set +e
+module purge
+#set -e
+
+module load intel/19.0.5.281
+module load mpi/openmpi/4.0.5 
+module switch feature/openmpi/net/ib/ucx-dc 
+module load flavor/hdf5/parallel netcdf-fortran/4.4.4 hdf5/1.8.20 
+module load feature/bridge/heterogenous_mpmd
+module load nco/4.9.1 cdo/1.9.5
+module load c++/gnu/7.3 c/gnu/7.3
+
Index: CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_IRENE.env
===================================================================
--- CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_IRENE.env	(revision 6206)
+++ CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_IRENE.env	(revision 6206)
@@ -0,0 +1,19 @@
+# Compile and running environnemnet at Irene Skylake 
+
+# Allow error messages related to purge
+set +e
+module purge
+#set -e
+
+module load intel/17.0.6.256
+module load mpi/openmpi/2.0.4
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load mkl/17.0.6.256
+module load hdf5/1.8.20
+module load feature/bridge/heterogenous_mpmd
+module load nco
+module load cdo
+module load c++/gnu/7.3.0
+module load c/gnu/7.3.0
+
Index: CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_JEANZAY.env
===================================================================
--- CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_JEANZAY.env	(revision 6206)
+++ CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/ARCH/arch-X64_JEANZAY.env	(revision 6206)
@@ -0,0 +1,8 @@
+# Compile and running environnemnet at Jean-Zay 
+module purge
+module load gcc/6.5.0
+module load intel-all/19.0.4 
+module load hdf5/1.10.5-mpi
+module load netcdf/4.7.2-mpi
+module load netcdf-fortran/4.5.2-mpi
+
Index: CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/DRIVER/opa9.driver
===================================================================
--- CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/DRIVER/opa9.driver	(revision 6205)
+++ CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/DRIVER/opa9.driver	(revision 6206)
@@ -172,7 +172,4 @@
         ( *             ) OPA_NLEAPY=30 ;;
     esac
-set -vx
-    pwd
-    ls
     if ( [ "${opa9_UserChoices_Reproducibility_after_restart}" = "y" ] ) ; then
 	cd ..
Index: CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/ENSEMBLES/create_oasis_restart.sh
===================================================================
--- CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/ENSEMBLES/create_oasis_restart.sh	(revision 6205)
+++ CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/ENSEMBLES/create_oasis_restart.sh	(revision 6206)
@@ -28,31 +28,27 @@
 done
 
-Detectloc=$( ncdump -h flxat__${pool_member_rank}.nc | grep loc000000_cnt_ncnt | wc -l )
+Detectloc=$( ncdump -h flxat__${pool_member_rank}.nc | grep loc000000_COLIQRUN_cnt_ncnt | wc -l )
 
-if [ ${Detectloc} ge 1 ] ; then
+if [ ${Detectloc} -ge 1 ] ; then
 
-    NumberCOLIQRUNflxat=$(27*${pool_member_rank}+27)
+    NumberCOLIQRUNflxat=$((27*${pool_member_rank}+27))
     NumberCOLIQRUNflxat_4dgts=$(printf "%04i\n" ${NumberCOLIQRUNflxat})
 
-    ncrename -O -d loc000000_cnt_ncnt,loc00${NumberCOLIQRUNflxat_4dgts}_cnt_ncnt flxat__${pool_member_rank}.nc
+    ncrename -O -d loc000000_COLIQRUN_cnt_ncnt,loc00${NumberCOLIQRUNflxat_4dgts}_cnt_ncnt flxat__${pool_member_rank}.nc
     ncrename -O -d loc000000_COLIQRUN_nx,loc00${NumberCOLIQRUNflxat_4dgts}_COLIQRUN__${pool_member_rank}_nx flxat__${pool_member_rank}.nc
     ncrename -O -d loc000000_COLIQRUN_ny,loc00${NumberCOLIQRUNflxat_4dgts}_COLIQRUN__${pool_member_rank}_ny flxat__${pool_member_rank}.nc
-    ncrename -O -d COLIQRUN_nx,COLIQRUN__${pool_member_rank}_nx flxat__${pool_member_rank}.nc
-    ncrename -O -d COLIQRUN_ny,COLIQRUN__${pool_member_rank}_ny flxat__${pool_member_rank}.nc
-    ncrename -O -v loc000000_cnt,loc00${NumberCOLIQRUNflxat_4dgts}_cnt flxat__${pool_member_rank}.nc
+    ncrename -O -v loc000000_COLIQRUN_cnt,loc00${NumberCOLIQRUNflxat_4dgts}_cnt flxat__${pool_member_rank}.nc
     ncrename -O -v loc000000_COLIQRUN,loc00${NumberCOLIQRUNflxat_4dgts}_COLIQRUN__${pool_member_rank} flxat__${pool_member_rank}.nc
 
-    NumberCOCALVINflxat=$(27*${pool_member_rank}+24)
+    NumberCOCALVINflxat=$((27*${pool_member_rank}+24))
     NumberCOCALVINflxat_4dgts=$(printf "%04i\n" ${NumberCOCALVINflxat})
 
-    ncrename -O -d loc000000_cnt_ncnt,loc00${NumberCOCALVINflxat_4dgts}_cnt_ncnt flxat__${pool_member_rank}.nc
+    ncrename -O -d loc000000_COCALVIN_cnt_ncnt,loc00${NumberCOCALVINflxat_4dgts}_cnt_ncnt flxat__${pool_member_rank}.nc
     ncrename -O -d loc000000_COCALVIN_nx,loc00${NumberCOCALVINflxat_4dgts}_COCALVIN__${pool_member_rank}_nx flxat__${pool_member_rank}.nc
     ncrename -O -d loc000000_COCALVIN_ny,loc00${NumberCOCALVINflxat_4dgts}_COCALVIN__${pool_member_rank}_ny flxat__${pool_member_rank}.nc
-    ncrename -O -d COCALVIN_nx,COCALVIN__${pool_member_rank}_nx flxat__${pool_member_rank}.nc
-    ncrename -O -d COCALVIN_ny,COCALVIN__${pool_member_rank}_ny flxat__${pool_member_rank}.nc
-    ncrename -O -v loc000000_cnt,loc00${NumberCOCALVINflxat_4dgts}_cnt flxat__${pool_member_rank}.nc
+    ncrename -O -v loc000000_COCALVIN_cnt,loc00${NumberCOCALVINflxat_4dgts}_cnt flxat__${pool_member_rank}.nc
     ncrename -O -v loc000000_COCALVIN,loc00${NumberCOCALVINflxat_4dgts}_COCALVIN__${pool_member_rank} flxat__${pool_member_rank}.nc 
 
-    NumberCOCALVINicbrg=$(27*${pool_member_rank}+25)
+    NumberCOCALVINicbrg=$((27*${pool_member_rank}+25))
     NumberCOCALVINicbrg_4dgts=$(printf "%04i\n" ${NumberCOCALVINicbrg})
 
@@ -60,19 +56,15 @@
     ncrename -O -d loc000000_COCALVIN_nx,loc00${NumberCOCALVINicbrg_4dgts}_COCALVIN__${pool_member_rank}_nx icbrg__${pool_member_rank}.nc
     ncrename -O -d loc000000_COCALVIN_ny,loc00${NumberCOCALVINicbrg_4dgts}_COCALVIN__${pool_member_rank}_ny icbrg__${pool_member_rank}.nc
-    ncrename -O -d COCALVIN_nx,COCALVIN__${pool_member_rank}_nx icbrg__${pool_member_rank}.nc
-    ncrename -O -d COCALVIN_ny,COCALVIN__${pool_member_rank}_ny icbrg__${pool_member_rank}.nc
     ncrename -O -v loc000000_cnt,loc00${NumberCOCALVINicbrg_4dgts}_cnt icbrg__${pool_member_rank}.nc
     ncrename -O -v loc000000_COCALVIN,loc00${NumberCOCALVINicbrg_4dgts}_COCALVIN__${pool_member_rank} icbrg__${pool_member_rank}.nc
 
-    NumberCOCALVINicshf=$(27*${pool_member_rank}+26)
+    NumberCOCALVINicshf=$((27*${pool_member_rank}+26))
     NumberCOCALVINicshf_4dgts=$(printf "%04i\n" ${NumberCOCALVINicshf})
     ncrename -O -d loc000000_cnt_ncnt,loc00${NumberCOCALVINicshf_4dgts}_cnt_ncnt icshf__${pool_member_rank}.nc
     ncrename -O -d loc000000_COCALVIN_nx,loc00${NumberCOCALVINicshf_4dgts}_COCALVIN__${pool_member_rank}_nx icshf__${pool_member_rank}.nc
     ncrename -O -d loc000000_COCALVIN_ny,loc00${NumberCOCALVINicshf_4dgts}_COCALVIN__${pool_member_rank}_ny icshf__${pool_member_rank}.nc
-    ncrename -O -d COCALVIN_nx,COCALVIN__${pool_member_rank}_nx icshf__${pool_member_rank}.nc
-    ncrename -O -d COCALVIN_ny,COCALVIN__${pool_member_rank}_ny icshf__${pool_member_rank}.nc
     ncrename -O -v loc000000_cnt,loc00${NumberCOCALVINicshf_4dgts}_cnt icshf__${pool_member_rank}.nc 
     ncrename -O -v loc000000_COCALVIN,loc00${NumberCOCALVINicshf_4dgts}_COCALVIN__${pool_member_rank} icshf__${pool_member_rank}.nc
 
-if
+fi
 cd ..
Index: CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 6205)
+++ CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 6206)
@@ -1860,5 +1860,4 @@
         generic_restart_file_name_out=$(   basename ${config_UserChoices_JobName}_${PeriodDateEnd}_${file_out} .nc )
         generic_restart_file_name_outin=$( basename ${file_outin} .nc )
-
         if [ ${config_Ensemble_EnsembleXIOS} = TRUE ] ; then
 
@@ -1888,29 +1887,25 @@
 		  done
 
-		  NumberCOLIQRUNflxat=$(27*${pool_member_rank}+27)
+		  NumberCOLIQRUNflxat=$((27*${pool_member_rank}+27))
 		  NumberCOLIQRUNflxat_4dgts=$(printf "%04i\n" ${NumberCOLIQRUNflxat})
 
-		  NumberCOCALVINflxat=$(27*${pool_member_rank}+24)
+		  NumberCOCALVINflxat=$((27*${pool_member_rank}+24))
 		  NumberCOCALVINflxat_4dgts=$(printf "%04i\n" ${NumberCOCALVINflxat})
 
-		  ncrename -O -d loc00${NumberCOLIQRUNflxat_4dgts}_cnt_ncnt,loc000000_cnt_ncnt ${file_in}
+		  ncrename -O -d loc00${NumberCOLIQRUNflxat_4dgts}_cnt_ncnt,loc000000_COLIQRUN_cnt_ncnt ${file_in}
 		  ncrename -O -d loc00${NumberCOLIQRUNflxat_4dgts}_COLIQRUN__${pool_member_rank}_nx,loc000000_COLIQRUN_nx ${file_in}
 		  ncrename -O -d loc00${NumberCOLIQRUNflxat_4dgts}_COLIQRUN__${pool_member_rank}_ny,loc000000_COLIQRUN_ny ${file_in}
-		  ncrename -O -d COLIQRUN__${pool_member_rank}_nx,COLIQRUN_nx ${file_in}
-		  ncrename -O -d COLIQRUN__${pool_member_rank}_ny,COLIQRUN_ny ${file_in}
-		  ncrename -O -v loc00${NumberCOLIQRUNflxat_4dgts}_cnt,loc000000_cnt ${file_in}
+		  ncrename -O -v loc00${NumberCOLIQRUNflxat_4dgts}_cnt,loc000000_COLIQRUN_cnt ${file_in}
 		  ncrename -O -v loc00${NumberCOLIQRUNflxat_4dgts}_COLIQRUN__${pool_member_rank},loc000000_COLIQRUN ${file_in}
 
-		  ncrename -O -d loc00${NumberCOCALVINflxat_4dgts}_cnt_ncnt,loc000000_cnt_ncnt ${file_in}
+		  ncrename -O -d loc00${NumberCOCALVINflxat_4dgts}_cnt_ncnt,loc000000_COCALVIN_cnt_ncnt ${file_in}
 		  ncrename -O -d loc00${NumberCOCALVINflxat_4dgts}_COCALVIN__${pool_member_rank}_nx,loc000000_COCALVIN_nx ${file_in}
 		  ncrename -O -d loc00${NumberCOCALVINflxat_4dgts}_COCALVIN__${pool_member_rank}_ny,loc000000_COCALVIN_ny ${file_in}
-		  ncrename -O -d COCALVIN__${pool_member_rank}_nx,COCALVIN_nx ${file_in}
-		  ncrename -O -d COCALVIN__${pool_member_rank}_ny,COCALVIN_ny ${file_in}
-		  ncrename -O -v loc00${NumberCOCALVINflxat_4dgts}_cnt,loc000000_cnt ${file_in}
+		  ncrename -O -v loc00${NumberCOCALVINflxat_4dgts}_cnt,loc000000_COCALVIN_cnt ${file_in}
 		  ncrename -O -v loc00${NumberCOCALVINflxat_4dgts}_COCALVIN__${pool_member_rank},loc000000_COCALVIN ${file_in}
 
 	      elif [ X${file_in} = Xicbrg__${pool_member_rank}.nc ] ; then
 	    
-		  NumberCOCALVINicbrg=$(27*${pool_member_rank}+25)
+		  NumberCOCALVINicbrg=$((27*${pool_member_rank}+25))
 		  NumberCOCALVINicbrg_4dgts=$(printf "%04i\n" ${NumberCOCALVINicbrg})
 
@@ -1918,6 +1913,4 @@
 		      ncrename -O -d loc00${NumberCOCALVINicbrg_4dgts}_COCALVIN__${pool_member_rank}_nx,loc000000_COCALVIN_nx ${file_in}
 		      ncrename -O -d loc00${NumberCOCALVINicbrg_4dgts}_COCALVIN__${pool_member_rank}_ny,loc000000_COCALVIN_ny ${file_in}
-		      ncrename -O -d COCALVIN__${pool_member_rank}_nx,COCALVIN_nx ${file_in}
-		      ncrename -O -d COCALVIN__${pool_member_rank}_ny,COCALVIN_ny ${file_in}
 		      ncrename -O -v loc00${NumberCOCALVINicbrg_4dgts}_cnt,loc000000_cnt ${file_in}
 		      ncrename -O -v loc00${NumberCOCALVINicbrg_4dgts}_COCALVIN__${pool_member_rank},loc000000_COCALVIN ${file_in}
@@ -1926,11 +1919,9 @@
               elif [ X${file_in} = Xicshf__${pool_member_rank}.nc ] ; then
 
-		  NumberCOCALVINicshf=$(27*${pool_member_rank}+26)
+		  NumberCOCALVINicshf=$((27*${pool_member_rank}+26))
 		  NumberCOCALVINicshf_4dgts=$(printf "%04i\n" ${NumberCOCALVINicshf})
 		      ncrename -O -d loc00${NumberCOCALVINicshf_4dgts}_cnt_ncnt,loc000000_cnt_ncnt ${file_in}
 		      ncrename -O -d loc00${NumberCOCALVINicshf_4dgts}_COCALVIN__${pool_member_rank}_nx,loc000000_COCALVIN_nx ${file_in}
 		      ncrename -O -d loc00${NumberCOCALVINicshf_4dgts}_COCALVIN__${pool_member_rank}_ny,loc000000_COCALVIN_ny ${file_in}
-		      ncrename -O -d COCALVIN__${pool_member_rank}_nx,COCALVIN_nx ${file_in}
-		      ncrename -O -d COCALVIN__${pool_member_rank}_ny,COCALVIN_ny ${file_in}
 		      ncrename -O -v loc00${NumberCOCALVINicshf_4dgts}_cnt,loc000000_cnt ${file_in}
 		      ncrename -O -v loc00${NumberCOCALVINicshf_4dgts}_COCALVIN__${pool_member_rank},loc000000_COCALVIN ${file_in}
@@ -1941,5 +1932,4 @@
             echo $generic_restart_file_name_in
 	    echo $file_in
-
         nb_restart_file=$( ls ${generic_restart_file_name_in}_????.nc 2>/dev/null | wc -l )
         if [ ${nb_restart_file} -gt 1 ] ; then